Subject: bug#22479: 25.0.50; isearch and query-replace histories do not remember if we were looking for symbols

From: Dima Kogan <[email-masked]>
Date: Wed, 03 Feb 2016 23:42:21 -0800

Juri Linkov <[email-masked]> writes:

> Yes, this is a harder problem.  We have to remember meta-data for
> every search history element.  There are several possibilities:
>
> 4. Adding meta-data by text-properties to the strings in
>    ‘search-ring’ and ‘regexp-search-ring’ poses a problem of saving
>    the values in the desktop and restoring in another session.

This feels like the best solution. I looked at desktop.el, and it
doesn't save the properties, as you say. But it could be made to. Do you
think some external packages would get broken by this change?